import { ApiCall } from "tsrpc";
// import { playerInfoType } from '../../module/collection_palyerInfo';     统计使用 无需
import { PataFun } from '../../public/pata';
import { ReqOpen, ResOpen } from "../../shared/protocols/pata/PtlOpen";
// import { PublicShared } from '../../shared/public/public';
// import { paTaType } from '../../shared/protocols/pata/type';

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let changeInfo = await PataFun.getInfo(call.uid);
    
    let data = {
        mydata: changeInfo
    }
    call.succ(data);
}